<script>
	let baseHost = "http://localhost:8080"
	let basePath = "atlantis"
	let baseUrl = baseHost + "/" + basePath

	let promise = getMe();

	async function getMe() {
		let url = baseUrl + "/users/me";
		console.log(url);
		console.log("cookie: '" + document.cookie + "'");

		const response = await fetch(url, { credentials: "include" });
		console.log(response);
		const body = await response.json();
		console.log(body);

		if (response.ok) {
			console.log(body.data);
			return body.data.first_name;
		} else {
			throw new Error();
		}
	}
</script>

{#await promise}
{:then result}
	👤
	<a href="#account" title="Account settings">Hi, {result}!</a>
{:catch error}
	👤
	<a href="#login">Hi, stranger! Log in or register.</a>
{/await}
